cl_ultrametric {clue} | R Documentation

## Ultrametrics of Hierarchies

### Description

Compute the ultrametric distances for objects representing (total indexed) hierarchies.

### Usage

    cl_ultrametric(x, size = NULL, labels = NULL)
    as.cl_ultrametric(x)

### Arguments

`x` | an R object representing a (total indexed) hierarchy of objects.
`size` | an integer giving the number of objects in the hierarchy.
`labels` | a character vector giving the names of the objects in the hierarchy.

### Details

If `x` is not an ultrametric or a hierarchy with an ultrametric representation, `cl_ultrametric` uses `cophenetic` to obtain the ultrametric (also known as cophenetic) distances from the hierarchy, which in turn by default calls the S3 generic `as.hclust` on the hierarchy. Support for a class which represents hierarchies can thus be added by providing `as.hclust` methods for this class. In R 2.1.0 or better, `cophenetic` is an S3 generic as well, and one can also more directly provide methods for this if necessary.

`as.cl_ultrametric` is a generic function which can be used for coercing raw (non-classed) ultrametrics, represented as numeric vectors (of the lower-half entries) or numeric matrices, to ultrametric objects.

Ultrametric objects are implemented as symmetric proximity objects with a dissimilarity interpretation so that self-proximities are zero, and inherit from classes `"cl_dissimilarity"` and `"cl_proximity"`. See section Details in the documentation for `cl_dissimilarity` for implications.

Ultrametric objects can also be coerced to classes `"dendrogram"` and `"hclust"`, and hence in particular use the `plot` methods for these classes. By default, plotting an ultrametric object uses the plot method for dendrograms.

### Value

An object of class `"cl_ultrametric"` containing the ultrametric distances.

### See Also

`is.cl_hierarchy`

### Examples

    hc <- hclust(dist(USArrests))
    u <- cl_ultrametric(hc)
    ## Subscripting.
    u[1 : 5, 1 : 5]
    u[1 : 5, 6 : 7]
    ## Plotting.
    plot(u)

[Package clue version 0.3-57 Index]